Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::logical_negate< Pred > Struct Template Reference
Utility

## Public Member Functions
constexpr | logical_negate (Pred pred)
template<typename... Args, int _concept_requires___LINE__ = 42, typename std::enable_if< (_concept_requires___LINE__==43)||(Predicate< fn_t &, Args... >()), int >::type = 0>
bool | operator() (Args &&...args)
template<typename... Args, int _concept_requires___LINE__ = 42, typename std::enable_if< (_concept_requires___LINE__==43)||(Predicate< fn_t const &, Args... >()), int >::type = 0>
constexpr bool | operator() (Args &&...args) const

## Member Function Documentation

template<typename Pred >
template<typename... Args, int _concept_requires___LINE__ = 42, typename std::enable_if< (_concept_requires___LINE__==43)||(Predicate< fn_t const &, Args... >()), int >::type = 0>

constexpr bool ranges::v3::logical_negate< Pred >::operator() | ( | Args &&... | args | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.